<?php

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

 /* ------------------------------------------------------------------------------------------
    détermine si la chaine est une adresse IP
    ------------------------------------------------------------------------------------------ */
 function is_IP($ip)
 {	//le test est super basique, mais çà doit suffire pour le besoin
	$tmp=explode('.', $ip);
	if(count($tmp)!=4) 
	{ return (false); }

	for($i=0;$i<4;$i++) 
	{ 
		if(!is_numeric($tmp[$i])) { return (false); } 
	}
	return (true);
 }


 /* ------------------------------------------------------------------------------------------
    formate le texte : <a href="$link">$value</a> 
    ------------------------------------------------------------------------------------------ */
 function format_link($value, $link)
 {
   return("<a href='$link'>$value</a>");
 }


 /* ------------------------------------------------------------------------------------------
    restitue le temps d'execution entre deux appels start(true)/stop(false)
    ------------------------------------------------------------------------------------------ */
  function calc_time($start, $prec = 5)
  {	
	global $calc_time_start;
	
	if($start)
	{
		list($usec, $sec) = explode(" ", microtime());
		$calc_time_start = ((float)$usec + (float)$sec);
		return $calc_time_start;
	}
	else
	{
		list($usec, $sec) = explode(" ", microtime());
		$calc_time_stop = ((float)$usec + (float)$sec);
		return round($calc_time_stop - $calc_time_start, $prec);
	}
  }

?>



