<?php

if (!defined('PHPWG_ROOT_PATH')) { die('Hacking attempt!'); }

// ini_set('error_reporting', E_ALL);
// ini_set('display_errors', true);

include_once("plugin_class.inc.php");


function plugin_install($plugin_id, $plugin_version, &$errors) 
{
	global $prefixeTable;

	$obj = new MyPolls_Plugin();
	$obj->init($prefixeTable);
	$obj->init_config();
	$obj->save_config();
	$obj->create_tables();
	$obj->add_enum_to_history();
}

function plugin_activate($plugin_id, $plugin_version, &$errors)
{
	global $prefixeTable;

	$obj = new MyPolls_Plugin();
	$obj->init($prefixeTable);
	$obj->update_tables();
	$obj->init_config();
	$obj->load_config();
	$obj->save_config();
}

function plugin_deactivate($plugin_id)
{
	// $obj = new MyPolls_Plugin();
}

function plugin_uninstall($plugin_id)
{
	global $prefixeTable;

	$obj = new MyPolls_Plugin();
	$obj->init($prefixeTable);
	$obj->delete_config();
	$obj->drop_tables();
}


?>
